Represents Text Layout

- « UI\Draw\Brush\RadialGradient::__construct

- UI\Draw\Text\Layout::__construct »

- PHP Manual
- UI
- Represents Text Layout

# Represents Text Layout

(UI 0.9.9)

## Introduction

A Text Layout represents the layout of text which will be drawn by the Pen

## Class synopsis

class UI\Draw\Text\Layout {
/* Constructor */
public __construct(string `$text`, UI\Draw\Text\Font `$font`, float `$width`)
/* Methods */
public setColor(UI\Draw\Color `$color`, int `$start` = 0, int `$end` = ?)
public setColor(int `$color`, int `$start` = 0, int `$end` = ?)
public setWidth(float `$width`)
}

## Table of Contents

- UI\Draw\Text\Layout::__construct — Construct a new Text Layout
- UI\Draw\Text\Layout::setColor — Set Color
- UI\Draw\Text\Layout::setWidth — Set Width